using System;

namespace Zadatak1_kv
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            long v = Convert.ToInt64(s);
            int k = s.Length - 1;
            int br = 0;
            while (v > 0 && k >= 0)
             {
                 if (v >= 5 * Math.Pow(10, k))
                 {
                     v -= Convert.ToInt64(5 * Math.Pow(10, k));
                     br++;
                 }
                 else
                 {
                     if (v >= 2 * Math.Pow(10, k))
                     {
                         v -= Convert.ToInt64(2 * Math.Pow(10, k));
                         br++;
                     }
                     else
                     {
                         if (v >= Math.Pow(10, k))
                         {
                             v -= Convert.ToInt64(Math.Pow(10, k));
                             br++;
                         }
                         else
                         {
                             k--;
                         }
                     }
                 }
             }
            Console.WriteLine(br);
            Console.ReadLine();
        }
    }
}